const db = require("../models/model");
const Voiture = db.voiture;

exports.POSTVoiture = async (req, res) => {
  // Save User to Database
  try {
    const voiture = await Voiture.create({
      nom: req.body.nom,
      nbrPlace: req.body.nbrPlace,
    });

    res.send(voiture);
    
  } catch (error) {
    res.status(500).send({ message: error.message });
  }
};

exports.GETOneVoiture = async (req, res) => {
  try {
    const id = req.params.id;
    console.log(id)
    const voiture = await Voiture.findOne({
      where: {
        id: id,
      },
    });

    if (voiture) {
      res.send(voiture);
    } else {
      res.status(404).send({
        message: `Impossible de trouver la voiture avec id=${id}.`
      });
    }
    
  } catch (error) {
    return res.status(500).send({ message: error.message });
  }
};


exports.PUTVoiture = async (req, res) => {
  try {
    const voiture = await Voiture.update(req.body,{
      where: {
        id: req.params.id,
      },
    });

    if (voiture == 1) {
      res.send({
        message: "La voiture a été mis à jour avec succès."
      });
    } else {
      res.send({
        message: `Impossible de mettre à jour la voiture avec id=${id}!`
      });
    }
    
  } catch (error) {
    return res.status(500).send({ message: error.message });
  }
};



exports.DROPVoiture = async (req, res) => {
  try {
    const voiture = await Voiture.destroy({
      where: { id: req.params.id }
    })
    console.log(voiture)

    if (voiture == 1) {
      res.send({
        message: "La voiture a été supprimé avec succès !"
      });
    } else {
      res.send({
        message: `Impossible de supprimer la voiture avec id=${id}.`
      });
    }
    
  } catch (error) {
    return res.status(500).send({ message: error.message });
  }
};